#include "xmodelcollsurf.h"

XModelCollSurf::XModelCollSurf()
    : XAsset()
    , mMins()
    , mMaxs()
    , mBoneIdx(0)
    , mContents(0)
    , mSurfFlags(0)
{
    
}

XModelCollSurf::~XModelCollSurf()
{
    
}

void XModelCollSurf::ParseData(QDataStream *aStream)
{
    *aStream
        >> mMins[0]
        >> mMins[1]
        >> mMins[2]
        >> mMaxs[0]
        >> mMaxs[1]
        >> mMaxs[2]
        >> mBoneIdx
        >> mContents
        >> mSurfFlags;
}

void XModelCollSurf::Clear()
{
    mMins = QVector3D();
    mMaxs = QVector3D();
    mBoneIdx = 0;
    mContents = 0;
    mSurfFlags = 0;
}
